package com.gx.obe.struct.beans;

import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

public class StructDateInfo {
	
	private final List<TemplateDataItem> templateDataItemList = new CopyOnWriteArrayList<>();
	private final List<TemplateTable> templateTableList = new CopyOnWriteArrayList<>();
	private final List<ModelData> modelDataList = new CopyOnWriteArrayList<>();
	private final List<BusinessLicense> businessLicenseList = new CopyOnWriteArrayList<>();
	private final List<Finance> financeList = new CopyOnWriteArrayList<>();
	private final List<Performance> performanceList = new CopyOnWriteArrayList<>();
	private final List<BidderBasicInfo> bidderBasicInfoList = new CopyOnWriteArrayList<>();
	private final List<Qualification> qualificationList = new CopyOnWriteArrayList<>();
	private final List<ProjectLeader> projectLeaderList = new CopyOnWriteArrayList<>();
	private final List<AttachmentFile> attachmentFileList = new CopyOnWriteArrayList<>();
	
	public List<TemplateTable> getTemplateTableList() {
		return templateTableList;
	}
	
	public List<ModelData> getModelDataList() {
		return modelDataList;
	}
	
	public List<BusinessLicense> getBusinessLicenseList() {
		return businessLicenseList;
	}
	
	public List<Finance> getFinanceList() {
		return financeList;
	}
	
	public List<Performance> getPerformanceList() {
		return performanceList;
	}
	
	public List<BidderBasicInfo> getBidderBasicInfoList() {
		return bidderBasicInfoList;
	}
	
	public List<Qualification> getQualificationList() {
		return qualificationList;
	}
	
	public List<ProjectLeader> getProjectLeaderList() {
		return projectLeaderList;
	}
	
	public List<TemplateDataItem> getTemplateDataItemList() {
		return templateDataItemList;
	}
	
	public List<AttachmentFile> getAttachmentFileList() {
		return attachmentFileList;
	}
	
}
